define("core/menu_navigation",["exports","core/key_codes"],(function(_exports,_key_codes){Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0;
/**
   * Keyboard initialization for a given html node.
   *
   * @module     core/keyboard_navigation
   * @copyright  2021 Moodle
   * @author     Mathew May <mathew.solutions>
   * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */
const SELECTORS_menuitem='[role="menuitem"]';let openDropdownNode=null;const clickErrorHandler=(item,fallback)=>null!==item?item:fallback,menuItemHelper=src=>{let parent;src.dataset.disableactive||(src.classList.contains("dropdown-item")?(parent=src.closest(".dropdown-menu"),parent.previousElementSibling.classList.add("active")):parent=src.parentElement.parentElement.querySelector(".dropdown-menu"),Array.prototype.forEach.call(parent.children,(node=>{const menuItem=node.querySelector(SELECTORS_menuitem);null!==menuItem&&(menuItem.classList.remove("active"),menuItem.setAttribute("aria-current","false")),node.setAttribute("aria-current","false")})),src.setAttribute("aria-current","true"))},keyboardListenerEvents=e=>{const src=e.srcElement,firstNode=e.currentTarget.firstElementChild,lastNode=findUsableLastNode(e.currentTarget);src.classList.contains("dropdown-item")?(e.keyCode!==_key_codes.arrowRight&&e.keyCode!==_key_codes.arrowLeft||(e.preventDefault(),null!==openDropdownNode&&openDropdownNode.parentElement.click()),e.keyCode!==_key_codes.space&&e.keyCode!==_key_codes.enter||(e.preventDefault(),menuItemHelper(src),src.parentElement.classList.contains("dropdown")||src.click())):(e.keyCode===_key_codes.arrowRight&&(e.preventDefault(),setFocusNext(src,firstNode)),e.keyCode===_key_codes.arrowLeft&&(e.preventDefault(),setFocusPrev(src,lastNode)),e.keyCode!==_key_codes.arrowUp&&e.keyCode!==_key_codes.arrowDown||(openDropdownNode=src,e.preventDefault()),e.keyCode===_key_codes.home&&(e.preventDefault(),src.setAttribute("aria-current","false"),setFocusHomeEnd(firstNode)),e.keyCode===_key_codes.end&&(e.preventDefault(),src.currentNode.setAttribute("aria-current","false"),setFocusHomeEnd(lastNode)),e.keyCode!==_key_codes.space&&e.keyCode!==_key_codes.enter||(e.preventDefault(),src.parentElement.classList.contains("dropdown")||src.click()))},clickListenerEvents=e=>{const src=e.srcElement;menuItemHelper(src)};_exports.default=elementRoot=>{elementRoot.removeEventListener("keydown",keyboardListenerEvents),elementRoot.removeEventListener("click",clickListenerEvents),elementRoot.addEventListener("keydown",keyboardListenerEvents),elementRoot.addEventListener("click",clickListenerEvents)};const setFocusNext=(currentNode,firstNode)=>{const nextListItem=currentNode.parentElement.nextElementSibling,menuItem=clickErrorHandler(nextListItem,firstNode).querySelector(SELECTORS_menuitem);currentNode.setAttribute("aria-current","false"),menuItem.setAttribute("aria-current","true"),menuItem.focus()},setFocusPrev=(currentNode,lastNode)=>{const nextListItem=currentNode.parentElement.previousElementSibling,menuItem=clickErrorHandler(nextListItem,lastNode).querySelector(SELECTORS_menuitem);currentNode.setAttribute("aria-current","false"),menuItem.setAttribute("aria-current","true"),menuItem.focus()},setFocusHomeEnd=node=>{node.querySelector(SELECTORS_menuitem).focus(),node.querySelector(SELECTORS_menuitem).setAttribute("aria-current","true")},findUsableLastNode=elementRoot=>{if(elementRoot.lastElementChild.classList.contains("d-none")){const nodesToUse=Array.prototype.map.call(elementRoot.children,(node=>node)).reverse().filter((node=>{if(!node.classList.contains("d-none"))return node}));return 0!==nodesToUse.length?nodesToUse[0]:elementRoot.firstElementChild}return elementRoot.lastElementChild};return _exports.default}));

//# sourceMappingURL=menu_navigation.min.js.map